---
title: "Create zone hardware rank targeting"
type: reference
method: POST
path: /rest-api/zone/{zoneId}/targeting/hardware-rank/create.do
tag: "Targeting Rules"
---

# Create zone hardware rank targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/zone/{zoneId}/targeting/hardware-rank/create.do`

Creates a hardware rank targeting rule for the specified zone. Requires UPDATE permission on the zone and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `zoneId` | integer | yes | `200` | Unique numeric ID of the zone |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `hardwareRank` | integer | yes | `50` | Hardware quality rank value to target |
| `relation` | string | no | `GREATER_EQUAL` | Comparison relation — LOWER, GREATER, LOWER_EQUAL, GREATER_EQUAL or EQUAL; omitted, it is LOWER_EQUAL |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Zone not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/zone/200/targeting/hardware-rank/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'hardwareRank=50' \
  --data-urlencode 'relation=GREATER_EQUAL'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-zone-targeting-hardware-rank-create